<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::speakerManager Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html">speakerManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::speakerManager Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac8dcdcb036a00615ef8b5652254bc25c"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:ac8dcdcb036a00615ef8b5652254bc25c"><td class="memTemplItemLeft" align="right" valign="top">static bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#ac8dcdcb036a00615ef8b5652254bc25c">withinBounds</a> (T value, T min, T max)</td></tr>
<tr class="separator:ac8dcdcb036a00615ef8b5652254bc25c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e5526da4f88815d1f97dea9529602c"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#ad1e5526da4f88815d1f97dea9529602c">getSpeakerCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:ad1e5526da4f88815d1f97dea9529602c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa8c6fd20ec07769d004cf31db670ce7d"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a> = &quot;Speaker&quot;</td></tr>
<tr class="memdesc:aa8c6fd20ec07769d004cf31db670ce7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Speaker interface namespace.  <a href="#aa8c6fd20ec07769d004cf31db670ce7d">More...</a><br /></td></tr>
<tr class="separator:aa8c6fd20ec07769d004cf31db670ce7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81953ffb207e01a40f6f361b4a87ddc1"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a81953ffb207e01a40f6f361b4a87ddc1">SET_VOLUME</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, &quot;SetVolume&quot;}</td></tr>
<tr class="memdesc:a81953ffb207e01a40f6f361b4a87ddc1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>SetVolume</code> directive identifier.  <a href="#a81953ffb207e01a40f6f361b4a87ddc1">More...</a><br /></td></tr>
<tr class="separator:a81953ffb207e01a40f6f361b4a87ddc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ad5373ef8201c768061e534ed1a0507"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a5ad5373ef8201c768061e534ed1a0507">ADJUST_VOLUME</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, &quot;AdjustVolume&quot;}</td></tr>
<tr class="memdesc:a5ad5373ef8201c768061e534ed1a0507"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>AdjustVolume</code> directive identifier.  <a href="#a5ad5373ef8201c768061e534ed1a0507">More...</a><br /></td></tr>
<tr class="separator:a5ad5373ef8201c768061e534ed1a0507"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a63f026180439fda2630f389c1781f8"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7a63f026180439fda2630f389c1781f8">SET_MUTE</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, &quot;SetMute&quot;}</td></tr>
<tr class="memdesc:a7a63f026180439fda2630f389c1781f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>SetMute</code> directive directive identifier.  <a href="#a7a63f026180439fda2630f389c1781f8">More...</a><br /></td></tr>
<tr class="separator:a7a63f026180439fda2630f389c1781f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a0b48bae42678c0f0811456fa46bfb8"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a4a0b48bae42678c0f0811456fa46bfb8">VOLUME_STATE</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, &quot;VolumeState&quot;}</td></tr>
<tr class="memdesc:a4a0b48bae42678c0f0811456fa46bfb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>Volume</code> State for use with the context.  <a href="#a4a0b48bae42678c0f0811456fa46bfb8">More...</a><br /></td></tr>
<tr class="separator:a4a0b48bae42678c0f0811456fa46bfb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2990e8417f4e75955d6898deb9e30199"><td class="memItemLeft" align="right" valign="top">const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a2990e8417f4e75955d6898deb9e30199">VOLUME_KEY</a> [] = &quot;volume&quot;</td></tr>
<tr class="memdesc:a2990e8417f4e75955d6898deb9e30199"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>Volume</code> Key in AVS Directives and Events.  <a href="#a2990e8417f4e75955d6898deb9e30199">More...</a><br /></td></tr>
<tr class="separator:a2990e8417f4e75955d6898deb9e30199"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e769cca3386b9ddc36fb15a4a738d32"><td class="memItemLeft" align="right" valign="top">const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7e769cca3386b9ddc36fb15a4a738d32">MUTE_KEY</a> [] = &quot;mute&quot;</td></tr>
<tr class="memdesc:a7e769cca3386b9ddc36fb15a4a738d32"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>Mute</code> Key. For directives.  <a href="#a7e769cca3386b9ddc36fb15a4a738d32">More...</a><br /></td></tr>
<tr class="separator:a7e769cca3386b9ddc36fb15a4a738d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaff1c01fef2fe7c988a1162ac74f8583"><td class="memItemLeft" align="right" valign="top">const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aaff1c01fef2fe7c988a1162ac74f8583">MUTED_KEY</a> [] = &quot;muted&quot;</td></tr>
<tr class="memdesc:aaff1c01fef2fe7c988a1162ac74f8583"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>Muted</code> Key. For events.  <a href="#aaff1c01fef2fe7c988a1162ac74f8583">More...</a><br /></td></tr>
<tr class="separator:aaff1c01fef2fe7c988a1162ac74f8583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af92ca4afdcb5d1216798c9a35ee3f171"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#af92ca4afdcb5d1216798c9a35ee3f171">VOLUME_CHANGED</a> = &quot;VolumeChanged&quot;</td></tr>
<tr class="memdesc:af92ca4afdcb5d1216798c9a35ee3f171"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>VolumeChanged</code> event key.  <a href="#af92ca4afdcb5d1216798c9a35ee3f171">More...</a><br /></td></tr>
<tr class="separator:af92ca4afdcb5d1216798c9a35ee3f171"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eaa992aa782d39f7a3a83632f2bcb78"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a2eaa992aa782d39f7a3a83632f2bcb78">MUTE_CHANGED</a> = &quot;MuteChanged&quot;</td></tr>
<tr class="memdesc:a2eaa992aa782d39f7a3a83632f2bcb78"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>VolumeMute</code> event.  <a href="#a2eaa992aa782d39f7a3a83632f2bcb78">More...</a><br /></td></tr>
<tr class="separator:a2eaa992aa782d39f7a3a83632f2bcb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d0eed77ae9aad6f0c9f20cf590c2b6f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a0d0eed77ae9aad6f0c9f20cf590c2b6f">SPEAKER_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:a0d0eed77ae9aad6f0c9f20cf590c2b6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a706982c5cb8d90697c54d164d40a5d2e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a706982c5cb8d90697c54d164d40a5d2e">SPEAKER_CAPABILITY_INTERFACE_NAME</a> = &quot;Speaker&quot;</td></tr>
<tr class="memdesc:a706982c5cb8d90697c54d164d40a5d2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Speaker interface name.  <a href="#a706982c5cb8d90697c54d164d40a5d2e">More...</a><br /></td></tr>
<tr class="separator:a706982c5cb8d90697c54d164d40a5d2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dbcac71a8e2111776065fa2070fbaf1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a0dbcac71a8e2111776065fa2070fbaf1">SPEAKER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a0dbcac71a8e2111776065fa2070fbaf1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Speaker interface version.  <a href="#a0dbcac71a8e2111776065fa2070fbaf1">More...</a><br /></td></tr>
<tr class="separator:a0dbcac71a8e2111776065fa2070fbaf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90a7290dd751d5a441bfc0073f8a828f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a90a7290dd751d5a441bfc0073f8a828f">TAG</a> {&quot;SpeakerManager&quot;}</td></tr>
<tr class="memdesc:a90a7290dd751d5a441bfc0073f8a828f"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a90a7290dd751d5a441bfc0073f8a828f">More...</a><br /></td></tr>
<tr class="separator:a90a7290dd751d5a441bfc0073f8a828f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f83881f9acd476313c652f53b57d7cc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a1f83881f9acd476313c652f53b57d7cc">SPEAKERMANAGER_CONFIGURATION_ROOT_KEY</a> = &quot;speakerManagerCapabilityAgent&quot;</td></tr>
<tr class="memdesc:a1f83881f9acd476313c652f53b57d7cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the root of speaker manager configuration.  <a href="#a1f83881f9acd476313c652f53b57d7cc">More...</a><br /></td></tr>
<tr class="separator:a1f83881f9acd476313c652f53b57d7cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18b0fbb623c22765693c76224c360f83"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a18b0fbb623c22765693c76224c360f83">SPEAKERMANAGER_MIN_UNMUTE_VOLUME_KEY</a> = &quot;minUnmuteVolume&quot;</td></tr>
<tr class="memdesc:a18b0fbb623c22765693c76224c360f83"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the minUnmuteVolume value.  <a href="#a18b0fbb623c22765693c76224c360f83">More...</a><br /></td></tr>
<tr class="separator:a18b0fbb623c22765693c76224c360f83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ad1e5526da4f88815d1f97dea9529602c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1e5526da4f88815d1f97dea9529602c">&#9670;&nbsp;</a></span>getSpeakerCapabilityConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; alexaClientSDK::capabilityAgents::speakerManager::getSpeakerCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates the Speaker capability configuration.</p>
<dl class="section return"><dt>Returns</dt><dd>The Speaker capability configuration. </dd></dl>

</div>
</div>
<a id="ac8dcdcb036a00615ef8b5652254bc25c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8dcdcb036a00615ef8b5652254bc25c">&#9670;&nbsp;</a></span>withinBounds()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool alexaClientSDK::capabilityAgents::speakerManager::withinBounds </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks whether a value is within the bounds.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>The value to check. </td></tr>
    <tr><td class="paramname">min</td><td>The minimum value. </td></tr>
    <tr><td class="paramname">max</td><td>The maximum value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a5ad5373ef8201c768061e534ed1a0507"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ad5373ef8201c768061e534ed1a0507">&#9670;&nbsp;</a></span>ADJUST_VOLUME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> alexaClientSDK::capabilityAgents::speakerManager::ADJUST_VOLUME {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, &quot;AdjustVolume&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>AdjustVolume</code> directive identifier. </p>

</div>
</div>
<a id="a2eaa992aa782d39f7a3a83632f2bcb78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eaa992aa782d39f7a3a83632f2bcb78">&#9670;&nbsp;</a></span>MUTE_CHANGED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::MUTE_CHANGED = &quot;MuteChanged&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>VolumeMute</code> event. </p>

</div>
</div>
<a id="a7e769cca3386b9ddc36fb15a4a738d32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e769cca3386b9ddc36fb15a4a738d32">&#9670;&nbsp;</a></span>MUTE_KEY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::capabilityAgents::speakerManager::MUTE_KEY[] = &quot;mute&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>Mute</code> Key. For directives. </p>

</div>
</div>
<a id="aaff1c01fef2fe7c988a1162ac74f8583"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaff1c01fef2fe7c988a1162ac74f8583">&#9670;&nbsp;</a></span>MUTED_KEY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::capabilityAgents::speakerManager::MUTED_KEY[] = &quot;muted&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>Muted</code> Key. For events. </p>

</div>
</div>
<a id="aa8c6fd20ec07769d004cf31db670ce7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8c6fd20ec07769d004cf31db670ce7d">&#9670;&nbsp;</a></span>NAMESPACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::NAMESPACE = &quot;Speaker&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The Speaker interface namespace. </p>

</div>
</div>
<a id="a7a63f026180439fda2630f389c1781f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a63f026180439fda2630f389c1781f8">&#9670;&nbsp;</a></span>SET_MUTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> alexaClientSDK::capabilityAgents::speakerManager::SET_MUTE {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, &quot;SetMute&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>SetMute</code> directive directive identifier. </p>

</div>
</div>
<a id="a81953ffb207e01a40f6f361b4a87ddc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81953ffb207e01a40f6f361b4a87ddc1">&#9670;&nbsp;</a></span>SET_VOLUME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> alexaClientSDK::capabilityAgents::speakerManager::SET_VOLUME {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, &quot;SetVolume&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>SetVolume</code> directive identifier. </p>

</div>
</div>
<a id="a706982c5cb8d90697c54d164d40a5d2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a706982c5cb8d90697c54d164d40a5d2e">&#9670;&nbsp;</a></span>SPEAKER_CAPABILITY_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::SPEAKER_CAPABILITY_INTERFACE_NAME = &quot;Speaker&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Speaker interface name. </p>

</div>
</div>
<a id="a0d0eed77ae9aad6f0c9f20cf590c2b6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d0eed77ae9aad6f0c9f20cf590c2b6f">&#9670;&nbsp;</a></span>SPEAKER_CAPABILITY_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::SPEAKER_CAPABILITY_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Speaker capability constants Speaker interface type </p>

</div>
</div>
<a id="a0dbcac71a8e2111776065fa2070fbaf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dbcac71a8e2111776065fa2070fbaf1">&#9670;&nbsp;</a></span>SPEAKER_CAPABILITY_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::SPEAKER_CAPABILITY_INTERFACE_VERSION = &quot;1.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Speaker interface version. </p>

</div>
</div>
<a id="a1f83881f9acd476313c652f53b57d7cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f83881f9acd476313c652f53b57d7cc">&#9670;&nbsp;</a></span>SPEAKERMANAGER_CONFIGURATION_ROOT_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::SPEAKERMANAGER_CONFIGURATION_ROOT_KEY = &quot;speakerManagerCapabilityAgent&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The key in our config file to find the root of speaker manager configuration. </p>

</div>
</div>
<a id="a18b0fbb623c22765693c76224c360f83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18b0fbb623c22765693c76224c360f83">&#9670;&nbsp;</a></span>SPEAKERMANAGER_MIN_UNMUTE_VOLUME_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::SPEAKERMANAGER_MIN_UNMUTE_VOLUME_KEY = &quot;minUnmuteVolume&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The key in our config file to find the minUnmuteVolume value. </p>

</div>
</div>
<a id="a90a7290dd751d5a441bfc0073f8a828f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90a7290dd751d5a441bfc0073f8a828f">&#9670;&nbsp;</a></span>TAG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::TAG {&quot;SpeakerManager&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="af92ca4afdcb5d1216798c9a35ee3f171"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af92ca4afdcb5d1216798c9a35ee3f171">&#9670;&nbsp;</a></span>VOLUME_CHANGED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::VOLUME_CHANGED = &quot;VolumeChanged&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>VolumeChanged</code> event key. </p>

</div>
</div>
<a id="a2990e8417f4e75955d6898deb9e30199"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2990e8417f4e75955d6898deb9e30199">&#9670;&nbsp;</a></span>VOLUME_KEY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::capabilityAgents::speakerManager::VOLUME_KEY[] = &quot;volume&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>Volume</code> Key in AVS Directives and Events. </p>

</div>
</div>
<a id="a4a0b48bae42678c0f0811456fa46bfb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a0b48bae42678c0f0811456fa46bfb8">&#9670;&nbsp;</a></span>VOLUME_STATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> alexaClientSDK::capabilityAgents::speakerManager::VOLUME_STATE {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, &quot;VolumeState&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>Volume</code> State for use with the context. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
